Core - Bug # 31397

Status: Closed Priority: Must have
Author: Gregor Hermens Category: Reports

Created: 2011-10-29 Assigned To: Francois Suter
Updated: 2012-02-07 Due date:

TYPO3 Version: 4.6

PHP Version:

Complexity: medium

Is Regression:

Sprint Focus:

Subject: Check for default password of admin account no longer works in status reports module

Description

In typo3/sysext/reports/reports/status/class.tx_reports_reports_status_securitystatus.php line 68, function getAdminAccountStatus()
only looks for the md5 value of default password 'password'. As rasauth and saltedpasswords are now activated by default, status

reports module no longer issues a warning if the default password of BE account 'admin’ is still set.

Related issues:

related to Core - Bug # 31407: Admin user creation function uses hardcoded md... Resolved 2011-10-30

Associated revisions

Revision 03eb7188 - 2011-10-31 21:34 - Gregor Hermens

[BUGFIX] Add check for salted default admin password

Check for default password of admin account no longer

works in status reports module.

Change-Id: Ibefcadb60afb2d22490fc1219559d8651d256¢c8a
Fixes: #31397

Releases: 4.6, 4.7

Reviewed-on: http://review.typo3.org/6392

Reviewed-by: Markus Klein
Tested-by: Philipp Gampe
Reviewed-by: Philipp Gampe
Reviewed-by: Francois Suter
Tested-by: Francois Suter

Revision 1eedef16 - 2011-12-16 16:09 - Gregor Hermens

[BUGFIX] Add check for salted default admin password

Check for default password of admin account no longer

works in status reports module.

Change-Id: Ibefcadb60afb2d22490fc1219559d8651d256¢c8a
Fixes: #31397

Releases: 4.6, 4.7

Reviewed-on: http://review.typo3.org/6404

Reviewed-by: Oliver Hader

2015-08-04

1/3



http://review.typo3.org/6392
Tested-by: Oliver Hader
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Francois Suter
Tested-by: Francois Suter

History

#1 - 2011-10-31 09:53 - Gregor Hermens
- File bug_31397.diff added

Attached patch bug_31397.diff checks for both plain md5 and salted hash.

#2 - 2011-10-31 10:43 - Mr. Hudson

- Status changed from New to Under Review

Patch set 1 of change Ibefcadb60afb2d22490fc1219559d8651d256¢8a has been pushed to the review server.
It is available at http://review.typo3.0rg/6392

#3 - 2011-10-31 11:08 - Francois Suter
- Assigned To set to Francois Suter

Good catch. I'm reviewing your patch.

#4 - 2011-10-31 11:08 - Francois Suter
- Target version set to 4.6.1

- Complexity set to medium

#5 - 2011-10-31 11:16 - Mr. Hudson

Patch set 2 of change Ibefcadb60afb2d22490fc1219559d8651d256¢8a has been pushed to the review server.
It is available at http://review.typo3.0rg/6392

#6 - 2011-10-31 11:21 - Mr. Hudson

Patch set 3 of change Ibefcadb60afb2d22490fc1219559d8651d256¢8a has been pushed to the review server.
It is available at http://review.typo3.0rg/6392

#7 - 2011-10-31 13:10 - Mr. Hudson

Patch set 4 of change Ibefcadb60afb2d22490fc1219559d8651d256¢8a has been pushed to the review server.
It is available at http://review.typo3.org/6392

#8 - 2011-10-31 16:10 - Mr. Hudson
Patch set 5 of change Ibefcadb60afb2d22490fc1219559d8651d256¢8a has been pushed to the review server.
It is available at http:/review.typo3.org/6392

#9 - 2011-10-31 21:42 - Mr. Hudson

Patch set 1 of change Ibefcadb60afb2d22490fc1219559d8651d256¢8a has been pushed to the review server.
It is available at http://review.typo3.org/6404

#10 - 2011-10-31 22:00 - Gregor Hermens
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:03eb718872cdff5bc9b092903388d818eabf15a4.

#11 - 2012-02-07 08:17 - Xavier Perseguers

- Status changed from Resolved to Closed

Files

bug_31397.diff 2.2kB 2011-10-31 Gregor Hermens
